<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>list</title>
</head>
<body>
    <main>
        <div>
            <h1>My Lists</h1>
        </div>
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number of Items</th>
                </tr>
            </thead>
            <tbody>
                {% for todo_list_detail in todo_list_list %}
                    <tr>
                        <td> <a href="{% url 'todo_detail' todo_list_detail.id %}"> {{ todo_list_detail.name }}</a></td>
                    {% if todo_list_detail.items.all|length >= 0 %}
                        <td> {{ todo_list_detail.items.all|length }}</td>
                    {% endif %}
                    </tr>
                {% endfor %}
        </table>
    </main>
</body>
</html>
